---
title: FileSystemSync
slug: Web/API/FileSystemSync
tags:
  - API
  - File API
  - File System API
  - Files
  - Offline
  - filesystem
---
<div>
<p>{{APIRef("File System API")}} {{non-standard_header}}</p>
</div>

<p>In the <a href="/en/DOM/File_API/File_System_API" title="en/DOM/File_API/File_System_APIB">File System API</a>, a <code>FileSystemSync </code>object represents a file system. It has two properties.</p>

<h2 id="About_this_document">About this document</h2>

<p>This document was last updated on March 2, 2012 and follows the <a class="external" href="http://www.w3.org/TR/file-system-api/">W3C Specifications (Working Draft)</a> drafted on April 19, 2011.</p>

<p>The specification is abandonned for the moment, failing to get significant traction.</p>

<h2 id="Basic_concepts">Basic concepts</h2>

<p>The <code>FileSystemSync</code> object is your gateway to the entire API and you will use it a lot. So once you have a reference, cache the object in a global variable or class property.</p>

<h2 id="Attributes">Attributes</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Attribute</th>
   <th scope="col">Type</th>
   <th scope="col">Description</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td><a name="attr_name"><code>name</code></a></td>
   <td><code>readonly DOMString</code></td>
   <td>Name of the file system. The name must be unique across the list of exposed file systems.</td>
  </tr>
  <tr>
   <td><a name="attr_root"><code>root</code></a></td>
   <td><code>readonly DirectoryEntry</code></td>
   <td>The root directory of the file system.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_Compatibility">Browser compatibility</h2>

<p>{{Compat("api.FileSystemSync")}}</p>

<h2 id="See_also">See also</h2>

<p>Specification:{{ spec("http://dev.w3.org/2009/dap/file-system/pub/FileSystem/", "File API: Directories and System Specification", "WD") }}</p>

<p>Reference: <a href="/en/DOM/File_API/File_System_API" title="en/DOM/File_API/File_System_API">File System API</a></p>

<p>Introduction: <a href="/en/DOM/File_APIs/Filesystem/Basic_Concepts_About_the_Filesystem_API" title="en/DOM/File_APIs/Filesystem/Basic_Concepts_About_the_Filesystem_API">Basic Concepts About the File System API</a></p>
